# PluginVideoDecoder< NAME >::OutputImagePlaneInfo Struct Reference

`#include <opalplugin.hpp>`

## Public Member Functions

void | Copy ()

## Data Fields

unsigned | m_width
unsigned | m_height
unsigned | m_raster
unsigned char * | m_source
unsigned char * | m_destination

### template<typename NAME>
struct PluginVideoDecoder< NAME >::OutputImagePlaneInfo

## Member Function Documentation

template<typename NAME>

void PluginVideoDecoder< NAME >::OutputImagePlaneInfo::Copy | ( |  | ) | `[inline]`

## Field Documentation

template<typename NAME>

unsigned char* PluginVideoDecoder< NAME >::OutputImagePlaneInfo::m_destination

template<typename NAME>

unsigned PluginVideoDecoder< NAME >::OutputImagePlaneInfo::m_height

template<typename NAME>

unsigned PluginVideoDecoder< NAME >::OutputImagePlaneInfo::m_raster

template<typename NAME>

unsigned char* PluginVideoDecoder< NAME >::OutputImagePlaneInfo::m_source

template<typename NAME>

unsigned PluginVideoDecoder< NAME >::OutputImagePlaneInfo::m_width

The documentation for this struct was generated from the following file:

- opalplugin.hpp